VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   Caption         =   "Button Shaper 1.0"
   ClientHeight    =   3408
   ClientLeft      =   48
   ClientTop       =   432
   ClientWidth     =   5616
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   284
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   468
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton RedoButton 
      Caption         =   "Redo"
      Enabled         =   0   'False
      Height          =   372
      Left            =   2040
      TabIndex        =   8
      Top             =   1080
      Width           =   612
   End
   Begin VB.CommandButton UndoButton 
      Caption         =   "Undo"
      Enabled         =   0   'False
      Height          =   372
      Left            =   2040
      TabIndex        =   7
      Top             =   600
      Width           =   612
   End
   Begin VB.CommandButton RestoreButton 
      Caption         =   "Restore Button"
      Height          =   372
      Left            =   240
      TabIndex        =   6
      Top             =   1080
      Width           =   852
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   1920
      Top             =   120
      _ExtentX        =   677
      _ExtentY        =   677
      _Version        =   393216
      CancelError     =   -1  'True
      Filter          =   "All Files (*.*)"
   End
   Begin VB.CommandButton ClearButton 
      Caption         =   "Clear"
      Height          =   372
      Left            =   240
      TabIndex        =   4
      Top             =   600
      Width           =   852
   End
   Begin VB.CommandButton LoadButton 
      Caption         =   "Load"
      Height          =   372
      Left            =   1200
      TabIndex        =   3
      Top             =   1080
      Width           =   732
   End
   Begin VB.CommandButton Command1 
      BackColor       =   &H80000002&
      Caption         =   "Demonstrate"
      Height          =   852
      Left            =   480
      Style           =   1  'Graphical
      TabIndex        =   2
      Top             =   1920
      Width           =   1332
   End
   Begin VB.CommandButton SaveButton 
      Caption         =   "Save"
      Height          =   372
      Left            =   1200
      TabIndex        =   1
      Top             =   600
      Width           =   732
   End
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H80000014&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   1812
      Left            =   2880
      MouseIcon       =   "Form1.frx":030A
      MousePointer    =   99  'Custom
      ScaleHeight     =   151
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   171
      TabIndex        =   0
      Top             =   360
      Width           =   2052
      Begin VB.Line Line1 
         Visible         =   0   'False
         X1              =   0
         X2              =   110
         Y1              =   0
         Y2              =   0
      End
   End
   Begin VB.Label PositionLabel 
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   177
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   3480
      TabIndex        =   5
      Top             =   2400
      Width           =   852
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function CreatePolygonRgn Lib "gdi32" (lpPoint As POINTAPI, ByVal nCount As Long, ByVal nPolyFillMode As Long) As Long
Private Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Boolean) As Long
Private Declare Function Polyline Lib "gdi32" (ByVal hdc As Long, lpPoint As POINTAPI, ByVal nCount As Long) As Long
Private Type POINTAPI
        X As Long
        Y As Long
End Type
Dim Result As Long
Dim Points(1 To 300) As POINTAPI, PerCentPoints(0 To 300) As POINTAPI, TempPoints(0 To 300) As POINTAPI
Dim NumPoints As Integer, Dummy As Integer, NumOfRedo As Integer


Private Sub ClearButton_Click()
NumPoints = 0
NumOfRedo = 0
RedoButton.Enabled = False
UndoButton.Enabled = False
Picture1.Cls
End Sub

Private Sub Command1_Click()
For Dummy = 1 To NumPoints
TempPoints(Dummy).X = PerCentPoints(Dummy).X * Command1.Width / 100
TempPoints(Dummy).Y = PerCentPoints(Dummy).Y * Command1.Height / 100
Next Dummy
hRgn = CreatePolygonRgn(TempPoints(1), NumPoints, 1)
Result = SetWindowRgn(Command1.hWnd, hRgn, True)
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Line1.Visible = False
End Sub

Private Sub LoadButton_Click()
On Error GoTo ErrorHandler
CommonDialog1.InitDir = App.Path
CommonDialog1.DialogTitle = "Open File"
CommonDialog1.Flags = &H1000 + &H4
CommonDialog1.ShowOpen
Open CommonDialog1.FileName For Binary As #1
Get #1, 1, PerCentPoints
Close #1
NumPoints = PerCentPoints(0).X
For Dummy = 1 To NumPoints
Points(Dummy).X = PerCentPoints(Dummy).X * Picture1.Width / 100
Points(Dummy).Y = PerCentPoints(Dummy).Y * Picture1.Height / 100
Next Dummy
Picture1.Cls
If Polyline(Picture1.hdc, Points(1), NumPoints) = 0 Then Exit Sub
Picture1.Refresh
If NumPoints > 0 Then UndoButton.Enabled = True
Exit Sub
ErrorHandler:
MsgBox "The File You Choosed is not a Button Shaper Valid File", vbCritical, ""
End Sub


Private Sub Form_Load()
Me.Move (Screen.Width - Me.Width) / 2, (Screen.Height - Me.Height) / 2
NumPoints = 0
NumOfRedo = 0
End Sub



Private Sub Picture1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
NumPoints = NumPoints + 1
RedoButton.Enabled = False
NumOfRedo = 0
If Not UndoButton.Enabled Then UndoButton.Enabled = True
Points(NumPoints).X = X
Points(NumPoints).Y = Y
PerCentPoints(NumPoints).X = Int(X / (Picture1.Width - 2) * 100)
PerCentPoints(NumPoints).Y = Int(Y / (Picture1.Height - 2) * 100)
If Polyline(Picture1.hdc, Points(1), NumPoints) = 0 Then Exit Sub
Picture1.Refresh
End Sub


Private Sub Picture1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If ((X / (Picture1.Width) * 100) = 0) Or ((Y / (Picture1.Height) * 100) = 0) _
Or (Int(X / (Picture1.Width - 1) * 100) = 100) Or (Int(Y / (Picture1.Height - 1) * 100) = 100) Then
 PositionLabel = ""
Else
 PositionLabel = Int(X / (Picture1.Width - 2) * 100) & "," & Int(Y / (Picture1.Height - 2) * 100)
End If
If NumPoints > 0 Then
 If Not Line1.Visible Then Line1.Visible = True
 Line1.X1 = Points(NumPoints).X
 Line1.Y1 = Points(NumPoints).Y
 Line1.X2 = X
 Line1.Y2 = Y
End If
End Sub

Private Sub RedoButton_Click()
NumPoints = NumPoints + 1
If NumPoints = 1 Then UndoButton.Enabled = True
NumOfRedo = NumOfRedo - 1
If NumOfRedo = 0 Then RedoButton.Enabled = False
Picture1.Cls
If Polyline(Picture1.hdc, Points(1), NumPoints) = 0 Then Exit Sub
Picture1.Refresh
End Sub

Private Sub RestoreButton_Click()
Result = SetWindowRgn(Command1.hWnd, 0, True)
End Sub

Private Sub SaveButton_Click()
On Error GoTo ErrorHandler
CommonDialog1.InitDir = App.Path
CommonDialog1.Flags = &H4 + &H2 + &H1000
CommonDialog1.DialogTitle = "Save as"
CommonDialog1.ShowSave
PerCentPoints(0).X = NumPoints
Open CommonDialog1.FileName For Binary As #1
Put #1, 1, PerCentPoints()
'Put #1, 2, NumPoints
Close #1
MsgBox "File saved successfully", , ""
ErrorHandler:
End Sub

Private Sub UndoButton_Click()
NumPoints = NumPoints - 1
If NumPoints = 0 Then UndoButton.Enabled = False
NumOfRedo = NumOfRedo + 1
If NumOfRedo = 1 Then RedoButton.Enabled = True
Picture1.Cls
If Polyline(Picture1.hdc, Points(1), NumPoints) = 0 Then Exit Sub
Picture1.Refresh
End Sub
